QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QXmppJingleIq Class Reference
Stanzas

The QXmppJingleIq class represents an IQ used for initiating media sessions as specified by XEP-0166: Jingle. More...

`#include <QXmppJingleIq.h>`

Inheritance diagram for QXmppJingleIq:

List of all members.

## Public Types
enum | Action { ContentAccept, ContentAdd, ContentModify, ContentReject, ContentRemove, DescriptionInfo, SecurityInfo, SessionAccept, SessionInfo, SessionInitiate, SessionTerminate, TransportAccept, TransportInfo, TransportReject, TransportReplace }
| This enum is used to describe a Jingle action.
## Public Member Functions
| QXmppJingleIq ()
| Constructs a QXmppJingleIq.
Action | action () const
| Returns the Jingle IQ's action.
void | setAction (Action action)
QString | initiator () const
| Returns the session initiator.
void | setInitiator (const QString &initiator)
QString | responder () const
| Returns the session responder.
void | setResponder (const QString &responder)
QString | sid () const
| Returns the session ID.
void | setSid (const QString &sid)
Content & | content ()
| Returns a reference to the IQ's content element.
const Content & | content () const
| Returns a const reference to the IQ's content element.
Reason & | reason ()
| Returns a reference to the IQ's reason element.
const Reason & | reason () const
| Returns a const reference to the IQ's reason element.
bool | ringing () const
| Returns true if the call is ringing.
void | setRinging (bool ringing)

## Detailed Description

The QXmppJingleIq class represents an IQ used for initiating media sessions as specified by XEP-0166: Jingle.

## Member Function Documentation

void QXmppJingleIq::setAction | ( | QXmppJingleIq::Action | action | ) |

Sets the Jingle IQ's action.

Parameters:

  action |

void QXmppJingleIq::setInitiator | ( | const QString & | initiator | ) |

Sets the session initiator.

Parameters:

  initiator |

void QXmppJingleIq::setResponder | ( | const QString & | responder | ) |

Sets the session responder.

Parameters:

  responder |

void QXmppJingleIq::setRinging | ( | bool | ringing | ) |

Set to true if the call is ringing.

Parameters:

  ringing |

void QXmppJingleIq::setSid | ( | const QString & | sid | ) |

Sets the session ID.

Parameters:

  sid |

The documentation for this class was generated from the following files:

- QXmppJingleIq.h
- QXmppJingleIq.cpp

All Classes Functions Enumerations Enumerator Properties